Bug 1994429 - Firefox 91 - Settings - Tickboxes not shown
Summary: Firefox 91 - Settings - Tickboxes not shown
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-17 09:16 UTC by Jonathan S
Modified: 2022-06-07 21:50 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-07 21:50:50 UTC
Type: Bug


Attachments (Terms of Use)
Example of the lack of tickbox in Firefox 91 (63.12 KB, image/png)
2021-08-17 18:02 UTC, Jonathan S
no flags Details

Description Jonathan S 2021-08-17 09:16:16 UTC
Description of problem:

On Firefox 91, go to the Settings (i.e. about:preferences). Instead of tick-boxes, there is a small dot. This makes it impossible to tell whether a preference is on or off.

This worked correctly on Firefox 90.

Version-Release number of selected component (if applicable):

Firefox 91

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Marcel 2021-08-17 17:22:52 UTC
I cannot reproduce the bug. 
Does the bug still appear using a fresh profile?
Could you attach the content of about:support page here, I would like to try out your settings.

Comment 2 Jonathan S 2021-08-17 18:02:34 UTC
Created attachment 1814932 [details]
Example of the lack of tickbox in Firefox 91

Comment 3 Jonathan S 2021-08-17 18:23:49 UTC
Hi Marcel

I used a fresh profile as you suggested and indeed the problem didn't appear.

Investigating further, I noticed that all my Firefox 91 installs were affected in the same way, even the windows standard Mozilla one (where the tickboxes appear just as empty boxes - never ticked - instead of dots as shown in the attachment above, which shows the Fedora Firefox 91.)

The offending config is:

browser.proton.enabled false

Toggling this to the default true corrects the Settings tickboxes in real time.

So I can solve my problem. However, it shouldn't be possible to corrupt the interface by setting a config.

Of note:
1) Other tickboxes (not in Settings) appear to be OK. (e.g. 'Warn me when I attempt to access these preferences' on about:config).

2) Firefox 92 Beta (currently 92.0b4) installed from standard Mozilla on Fedora does NOT show this error, even though browser.proton.enabled is set false. Firefox  Nightly on Windows also has browser.proton.enabled false, and also does NOT show this error.

Thus, it appears that the problem is specific to all versions of Firefox 91.0.

Comment 4 Ben Cotton 2022-05-12 15:25:39 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 5 Ben Cotton 2022-06-07 21:50:50 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.